@import "./styles.css";

/* admin users elements */
.admin-console-content[content='settings'] {
    flex-direction: column;
    justify-content: flex-start;
    /*padding: 0;*/
}

.admin-settings-frame {
    justify-self: center;
    display: grid;
    grid-template-areas:
        "header header"
        "left center"
        "left footer";
    grid-template-rows: 0fr 1fr 0fr;
    grid-template-columns: 0fr 1fr;
    background: var(--grey50);
    background-color: var(--dm3);
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border-radius: 6px;
    box-shadow: var(--boxShadow);
    overflow: hidden;
    position: relative;
}

.admin-settings-frame-header {
    grid-area: header;
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 0.4rem;
    padding: 0.8rem;
    /* height: 3rem; */
    color: var(--grey800);
    border-bottom: 1px solid var(--grey900);
}

.admin-settings-frame-center {
    grid-area: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.admin-settings-optionsList {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;
    height: 100%;
    width: 100%;
    overflow: auto;
    font-weight: 400;
    font-size: 0.7rem;
    padding: 0.8rem;
    row-gap: 0.6rem;
}

.admin-settings-optionsList-optionDiv {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    row-gap: 0.2rem;
    color: var(--grey50);
}

.admin-settings-optionsList-optionDiv-title {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    font-weight: 500;
}

.admin-settings-optionsList-optionDiv-description {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.admin-settings-optionsList-optionDiv-input {
    font-family: 'Quicksand';
    padding: 0.6rem;
    font-size: 0.7rem;
    font-weight: 500;
    border: 1px solid var(--grey200);
    border-radius: 4px;
    background-color: var(--grey50);
    width: 20rem;
    transition: background-color 0.2s linear, border 0.2s linear;
}

.admin-settings-optionsList-optionDiv-input:hover {
    border: 1px solid var(--indigo500);
    background-color: var(--lightBlue);
}

.admin-settings-optionsList-optionDiv-input:focus {
    border: 1px solid var(--indigo500);
    background-color: var(--grey50);
}